<!--formGroup to je da povezemo form sa poljem u .ts fajlu-->
<!--<img [src]="backgroundImage" alt="">-->
<body>
    <form [formGroup]="loginOsobljeForm" (ngSubmit)="submitForm()" class="signinbox">
        <h1>Log in</h1>
        <div class="required fluid field" [ngClass] = "{ error : idHasErrors() }">
            <label for="jmbg">ID:</label><br>
            <input type="text" formControlName="ID" placeholder="Unesite ID"><br>
        </div>

        <div class="error-message" *ngIf="IDErrors().length> 0 "> 
            <ul>
                <li *ngFor="let errorMessage of IDErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div> 
 
        <div class="form-group" [ngClass] = "{ error : lozinkaHasErrors() }">
            <label for="lozinka">Lozinka:</label><br>
            <input type="password" formControlName="lozinka" placeholder="Unesite lozinku"><br>
        </div>
        <div class="error-message" *ngIf="lozinkaErrors().length> 0 "> 
            <ul>
                <li *ngFor="let errorMessage of lozinkaErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div> 
        <div class="form-group"> 
            <input type="submit" class="btn btn-primary" [disabled]="!loginOsobljeForm.valid" value="Log in">
        </div>
    </form>
</body>